Package com.independentsoft.office.spreadsheet

# Enum Class PrintError

java.lang.Object
java.lang.Enum<PrintError>
com.independentsoft.office.spreadsheet.PrintError

All Implemented Interfaces:
  `Serializable`, `Comparable<PrintError>`, `Constable`

public enum PrintError extends Enum<PrintError>
The Enum PrintError.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLANK`
  `DASH`
  `DISPLAYED`
  `NA`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PrintError`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PrintError[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLANK

    public static final PrintError BLANK

  - ### DASH

    public static final PrintError DASH

  - ### DISPLAYED

    public static final PrintError DISPLAYED

  - ### NA

    public static final PrintError NA

  - ### NONE

    public static final PrintError NONE

- ## Method Details

  - ### values

    public static PrintError[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PrintError valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null